package com.ruoyi.set.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.set.mapper.SetRegionMapper;
import com.ruoyi.set.domain.SetRegion;
import com.ruoyi.set.service.ISetRegionService;

import javax.annotation.Resource;

/**
 * 行政区域Service业务层处理
 *
 * @author LCL
 * @date 2024-03-12
 */
@Service
public class SetRegionServiceImpl implements ISetRegionService
{
    @Resource
    private SetRegionMapper setRegionMapper;

    /**
     * 查询行政区域
     *
     * @param id 行政区域主键
     * @return 行政区域
     */
    @Override
    public SetRegion selectSetRegionById(Long id)
    {
        return setRegionMapper.selectSetRegionById(id);
    }

    /**
     * 查询行政区域列表
     *
     * @param setRegion 行政区域
     * @return 行政区域
     */
    @Override
    public List<SetRegion> selectSetRegionList(SetRegion setRegion)
    {
        return setRegionMapper.selectSetRegionList(setRegion);
    }

    /**
     * 新增行政区域
     *
     * @param setRegion 行政区域
     * @return 结果
     */
    @Override
    public int insertSetRegion(SetRegion setRegion)
    {
        return setRegionMapper.insertSetRegion(setRegion);
    }

    /**
     * 修改行政区域
     *
     * @param setRegion 行政区域
     * @return 结果
     */
    @Override
    public int updateSetRegion(SetRegion setRegion)
    {
        return setRegionMapper.updateSetRegion(setRegion);
    }

    /**
     * 批量删除行政区域
     *
     * @param ids 需要删除的行政区域主键
     * @return 结果
     */
    @Override
    public int deleteSetRegionByIds(Long[] ids)
    {
        return setRegionMapper.deleteSetRegionByIds(ids);
    }

    /**
     * 删除行政区域信息
     *
     * @param id 行政区域主键
     * @return 结果
     */
    @Override
    public int deleteSetRegionById(Long id)
    {
        return setRegionMapper.deleteSetRegionById(id);
    }

    /**
     * 查询行政区域列表-省
     *
     * @return 行政区域集合
     */
    @Override
    public List<SetRegion> selectRegionProvinceList() {
        return setRegionMapper.selectRegionProvinceList();
    }

    /**
     * 查询行政区域列表-市或区县
     *
     * @param id 行政区域主键ID
     * @return 行政区域集合
     */
    @Override
    public List<SetRegion> selectRegionCityOrAreaList(Integer id) {
        return setRegionMapper.selectRegionCityOrAreaList(id);
    }
}
